/* ============================================================= */
/* Site Header
/* ============================================================= */

#site-header {
    font-family: var(--wp--preset--font-family--headings, inherit);
    z-index: 100;
}


/* ============================================================= */
/* Header Logo
/* ============================================================= */

#header-logo-wrapper {
    z-index: 110;
    position: fixed;
    top: 15px;
    left: 5%;
}

body.admin-bar #header-logo-wrapper {
    top: calc(15px + 32px);
}

#header-logo-wrapper svg {
    height: 80px;
    width: auto;
    filter: drop-shadow(0 0 3px rgba(0,0,0,0.7));
}


/* ============================================================= */
/* Header Logo - Made in Austria
/* ============================================================= */

#header-logo-made-in-austria-wrapper {
    z-index: 110;
    position: absolute;
    top: 15px;
    right: 5%;
}

body.admin-bar #header-logo-made-in-austria-wrapper {
    top: calc(15px + 32px);
}

#header-logo-made-in-austria-wrapper svg {
    height: 110px;
    width: auto;
    filter: drop-shadow(0 0 3px rgba(0,0,0,0.7));
}


/* ============================================================= */
/* Navigation Main
/* ============================================================= */

#navigation-main {
    display: none;
    height: 0;
}


/* ============================================================= */
/* Navigation Main - Mobile
/* ============================================================= */

#navigation-main-mobile {
    z-index: 100;
    display: flex;
    flex-flow: column;
    align-items: center;
    position: fixed;
    bottom: 0;
    left: 0;
    width: 100%;
    color: #ffffff;
    background: rgb(143,155,162);
    background: linear-gradient(170deg, rgba(143,155,162,1) 0%, rgba(143,155,162,1) 65%, rgba(46,122,162,1) 65%, rgba(46,122,162,1) 100%);
    box-shadow: 0 -3px 3px rgba(0,0,0,0.1);
    padding: 10px 5%;
    transition: all 0.3s ease-out;
}

body.admin-bar #navigation-main-mobile { /* Admin preview */
    position: fixed;
    bottom: 0;
}

#navigation-main-mobile ul {
    display: flex;
    flex-flow: row nowrap;
    justify-content: flex-end;
    align-items: center;
    gap: 20px;
    width: 100%;
    list-style: none;
    padding: 0;
    margin: 0;
}

#navigation-main-mobile ul > li:first-child {
    margin-right: auto;
}

#navigation-main-mobile ul a {
    display: flex;
    align-items: center;
    gap: 0.5em;
    color: inherit;
    font-size: 16px;
    line-height: 1;
    text-decoration: none;
    text-transform: uppercase;
}

#navigation-main-mobile ul a span.icon {
    display: flex;
}

#navigation-main-mobile ul a span.icon svg {
    height: 1.25em;
    width: auto;
}

#navigation-main-mobile ul a span.hide {
    display: none;
}

/* Burger Icon */

#navigation-main-mobile .nav-burger {
    display: flex;
    flex-flow: column nowrap;
    justify-content: space-between;
    align-items: center;
    gap: 5px;
    cursor: pointer;
}

#navigation-main-mobile .nav-burger .bar {
    width: 32px;
    height: 2px;
    background-color: currentColor;
    border-radius: 5px;
    margin: 0;
}


/* ============================================================= */
/* Menu Modal
/* ============================================================= */

#menu-modal {
    z-index: 120;
    position: fixed;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    color: #ffffff;
    background: #3F535E;
    background: linear-gradient(170deg, #3F535E 0%, #3F535E calc(100% - 100px), rgba(46,122,162,1) calc(100% - 100px), rgba(46,122,162,1) 100%);
    font-size: 18px;
    opacity: 0;
    visibility: hidden;
    transform: scale(0);
    overflow-y: auto;
    scrollbar-width: none;  /* Hide scrollbar for Firefox */
}

.menu-modal-inner {
    display: flex;
    flex-flow: column nowrap;
    height: 100%;
    padding: 0;
    margin: 0;
}

/* Menu Modal Close Button
/* ------------------------------------------------------------- */

#menu-modal #menu-modal-close-button {
    z-index: 10;
    display: block;
    position: absolute;
    top: 25px;
    right: 25px;
    opacity: 0;
    visibility: hidden;
    transform: scale(0);
    cursor: pointer;
    transition: color 0.15s linear;
}

html.no-touch #menu-modal #menu-modal-close-button:hover {
    color: var(--wp--preset--color--primary, #1F9EE0);
}

#menu-modal .icon-close {
    width: 30px;
    height: auto;
}

/* Menu Modal Navigation
/* ------------------------------------------------------------- */

#menu-modal-navigation-wrapper {
    flex: 1;
    position: relative;
    width: 100%;
    padding: 0;
    margin: 0;
}

#menu-modal ul {
    display: flex;
    flex-flow: column nowrap;
    justify-content: flex-start;
    gap: 20px;
    position: absolute;
    top: 0;
    left: 0;
    height: 100%;
    width: 100%;
    list-style: none;
    padding: 80px 0 50px;
    margin: 0;
    opacity: 0;
    visibility: hidden;
    overflow-y: auto;
}

#menu-modal ul li {
    display: flex;
    gap: 10px;
    line-height: 1;
    text-align: left;
    padding: 0 10px;
    margin: 0 10px;
}

#menu-modal ul li.nav-back-button {
    color: #8F9BA2;
}

#menu-modal ul li.product-finder {
    padding: 0;
    margin: 0;
}

#menu-modal ul a {
    display: flex;
    gap: 0.3em;
    position: relative;
    border-bottom: 2px solid transparent;
    color: inherit;
    line-height: 1;
    text-transform: uppercase;
    text-decoration: none;
    padding-bottom: 2px;
}

#menu-modal ul li.product-finder a {
    background: #8F9BA2;
    box-shadow: 5px 5px 6px 0 rgba(0,0,0,0.16);
    padding: 10px 20px;
    margin: 0;
}

#menu-modal ul a > .menu-label {
    display: flex;
    align-items: center;
    background: #009BDF;
    color: #ffffff;
    font-size: 0.8em;
    text-transform: lowercase;
    line-height: 1;
    padding: 0 20px;
    margin-left: 10px;
}

#menu-modal ul a span.hide {
    display: none;
}

#menu-modal ul a > svg {
    position: absolute;
    top: 20%;
    left: calc(100% + 0.2em);
    height: 50%;
}

#menu-modal ul a > svg.icon-shop {
    top: -4px;
    left: calc(100% + 0.4em);
    width: 22px;
    height: 22px;
}

#menu-modal ul a > svg.icon-product-finder {
    position: relative;
    top: initial;
    left: initial;
    display: inline-block;
    width: auto;
    height: 22px;
    margin-left: 0.5em;
    transform: translateY(2px);
}

#menu-modal ul.menu li.current-menu-item > a,
#menu-modal ul.menu li.current-menu-ancestor > a {
    color: var(--wp--preset--color--primary, #1F9EE0);
    border-bottom-color: currentColor;
}

/* Menu Modal Logo
/* ------------------------------------------------------------- */

#menu-modal-logo-wrapper {
    z-index: -1;
    position: absolute;
    bottom: 20px;
    right: 20px;
}

#menu-modal-logo-wrapper svg {
    width: 120px;
    height: auto;
}


/* ============================================================= */
/* Language Modal
/* ============================================================= */

#language-modal {
    z-index: 200;
    position: fixed;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    color: #ffffff;
    background-color: rgba(0,0,0,0.7);
    backdrop-filter: blur(4px);
    -webkit-backdrop-filter: blur(4px);
    font-size: 18px;
    text-align: center;
    opacity: 0;
    visibility: hidden;
    overflow-y: auto;
    scrollbar-width: none;  /* Hide scrollbar for Firefox */
}

#language-modal .language-modal-inner {
    display: flex;
    justify-content: center;
    align-items: center;
    width: 100%;
    height: 100%;
}

#language-modal .language-modal-background {
    position: absolute;
    top: 0;
    left: 0;
    bottom: 0;
    right: 0;
}

#language-modal .widget_icl_lang_sel_widget {
    width: 100%;
    max-width: 1200px;
}

#language-modal .wpml-ls-legacy-list-horizontal {
    padding: 50px 25px;
}

/* Close Icon */

#language-modal .icon-close {
    position: absolute;
    top: 25px;
    right: 25px;
    width: 30px;
    height: auto;
    opacity: 0;
    visibility: hidden;
    transform: scale(0);
    cursor: pointer;
    transition: color 0.15s linear;
}

html.no-touch #language-modal .icon-close:hover {
    color: var(--wp--preset--color--primary, #1F9EE0);
}

/* Language Switcher */

#language-modal ul {
    display: flex;
    flex-flow: row wrap;
    justify-content: center;
    align-items: center;
    row-gap: 30px;
}

#language-modal ul li {
    flex: 100%;
    opacity: 0;
    visibility: hidden;
    transform: translateY(100px);
}

#language-modal ul li a {
    display: flex;
    flex-flow: row nowrap;
    gap: 1em;
    align-items: center;
    color: inherit;
    padding: 0;
    margin: 0;
    transition: all 0.15s linear;
}

html.no-touch #language-modal ul li a:hover {
    transform: scale(1.1);
}

#language-modal ul li a img {
    width: 60px;
    height: auto;
    margin: 0;
}

#language-modal ul li a span {
    color: inherit;
    margin: 0;
}

/* ============================================================= */
/* Button Sidebar
/* ============================================================= */

#button-sidebar {
    display: none;
}

/* ============================================================= */
/* Navigation Contact
/* ============================================================= */

#nav-contact-wrapper {
    display: block;
    z-index: 100;
    position: fixed;
    bottom: 60px;
    right: 5%;
    background-color: transparent;
    font-size: 20px;
    transition: transform 0.15s linear;
}

.has-sticky-header #nav-contact-wrapper {
    transform: translateY(calc(100% + 60px))
}

#menu-contact {
    display: flex;
    justify-content: space-around;
    align-items: center;
    flex-direction: column;
    list-style: none;
    padding: 0;
    margin: 0;
}

#menu-contact li {
    display: flex;
    justify-content: center;
    align-items: center;
    box-shadow: 0 0 10px 0 rgba(0,0,0,0.4);
    border-radius: 50px;
    background-color: var(--wp--preset--color--primary, #009BDF);
    margin-bottom: 15px;
    transition: transform 0.15s linear;
}

#menu-contact li:last-child {
    margin-bottom: 0;
}

#menu-contact a {
    display: flex;
    justify-content: center;
    align-items: center;
    color: #fff;
    text-align: center;
    line-height: 1;
    text-decoration: none;
    padding: 0.7em;
}

#menu-contact a svg {
    width: 1.3em;
    height: 1.3em;
}


/* ============================================================= */
/* Site Header Margin
/* ============================================================= */

#site-header-margin {
    height: 20px;
    display: none;
    visibility: hidden;
    opacity: 0;
}

/* Only for WP admin preview */
@media screen and (max-width: 782px) {

    body.admin-bar #site-header { /* Admin preview */
        top: 46px;
    }

}

/* Medium devices (tablets, 768px and up) */
@media (min-width: 768px) {

    /* ============================================================= */
    /* Navigation Main - Mobile
    /* ============================================================= */

    #navigation-main-mobile ul a {
        font-size: 20px;
    }

    /* ============================================================= */
    /* Menu Modal
    /* ============================================================= */

    #menu-modal {
        font-size: 22px;
    }

    /* Menu Modal Close Button
    /* ------------------------------------------------------------- */

    #menu-modal #menu-modal-close-button {
        top: 30px;
        right: 50px;
    }

    /* Menu Modal Navigation
    /* ------------------------------------------------------------- */

    #menu-modal ul {
        padding-left: 50px;
        padding-right: 50px;
    }


    /* ============================================================= */
    /* Language Modal
    /* ============================================================= */

    #language-modal .wpml-ls-legacy-list-horizontal {
        padding-right: 50px;
        padding-left: 50px;
    }

    /* Close Icon */

    #language-modal .icon-close {
        top: 30px;
        right: 50px;
    }

    /* Language Switcher */

    #language-modal ul {
        column-gap: 40px;
        row-gap: 60px;
    }

    #language-modal ul li {
        flex: calc((100% - 120px) / 4);
    }

    #language-modal ul li a {
        flex-direction: column;
    }

    #language-modal ul li a img {
        width: 100px;
    }


    /* ============================================================= */
    /* Site Header Margin
    /* ============================================================= */

    #site-header-margin {
        height: 25px;
    }

}

/* Medium devices (tablets, 768px and up, orientation portrait) */
@media (orientation: portrait) and (min-width: 768px) {



}

/* Extra large devices (large desktops, 1200px and up) */
@media (min-width: 1200px) {

    /* ============================================================= */
    /* Header Logo
    /* ============================================================= */

    #header-logo-wrapper {
        top: 30px;
    }

    body.admin-bar #header-logo-wrapper {
        top: calc(30px + 32px);
    }

    #header-logo-wrapper svg {
        height: auto;
        width: 120px;
    }


    /* ============================================================= */
    /* Header Logo - Made in Austria
    /* ============================================================= */

    #header-logo-made-in-austria-wrapper {
        position: fixed;
        top: 30px;
        right: initial;
        left: calc(5% + 120px + 40px);
    }

    body.admin-bar #header-logo-made-in-austria-wrapper {
        top: calc(30px + 32px);
    }

    #header-logo-made-in-austria-wrapper svg {
        height: auto;
        width: 100px;
    }


    /* ============================================================= */
    /* Navigation Main
    /* ============================================================= */

    #navigation-main {
        z-index: 100;
        display: flex;
        flex-flow: column;
        align-items: center;
        position: fixed;
        top: 0;
        left: 0;
        width: 100%;
        height: auto;
        color: #ffffff;
        background-image: url("../images/bg-structure-dark-grey.jpg");
        background-position: center;
        background-size: cover;
        background-repeat: no-repeat;
        box-shadow: 0 3px 3px rgba(0,0,0,0.1);
        font-size: 18px;
        text-transform: uppercase;
        line-height: 1;
        padding: 0 5% 0 calc(5% + 100px + 40px + 120px + 40px);
        /*transition: all 0.3s ease-out;*/
    }

    body.admin-bar #navigation-main {
        top: 32px;
    }

    #navigation-main .navigation-wrapper {
        width: auto;
        align-items: center;
    }

    #navigation-main #navigation-primary-wrapper {
        display: flex;
        width: 100%;
    }

    #navigation-main #navigation-primary-wrapper > nav {
        width: 100%;
        height: 100%;
    }

    #navigation-main ul.menu {
        display: flex;
        flex-flow: row nowrap;
        justify-content: flex-end;
        gap: 0;
        height: 100%;
        list-style: none;
        padding: 0;
        margin: 0 0 5px;
    }

    #navigation-main ul.menu li {
        display: flex;
        align-items: center;
        position: relative;
        height: 95px;
    }

    #navigation-main ul.menu li.megamenu {
        position: initial;
    }

    #navigation-main ul.menu a {
        position: relative;
        display: flex;
        align-items: center;
        color: inherit;
        height: 100%;
        font-size: 0.9em;
        text-decoration: none;
        transition: color 0.15s linear;
        padding: 0 10px;
        margin: 0 8px;
    }
	
	#navigation-main :not(.sub-menu) > ul > li > a {
		font-size: 0.9em;
        padding-left: 3px;
        padding-right: 3px;
    }

    #navigation-main ul.menu li.shop > a {
    /*    border: solid 1px rgba(255,255,255,0.3);  */
    /*    border-top: none;                         */
    }

    #navigation-main ul.menu li.current-menu-ancestor > a,
    #navigation-main ul.menu li.current-menu-item > a,
    #navigation-main ul.menu li:hover > a,
    #navigation-main ul.menu a:hover,
    #navigation-main ul.menu a:active,
    #navigation-main ul.menu a:focus {
        color: var(--wp--preset--color--primary, #009BDF);
    }

    #navigation-main ul a span.hide {
        display: none;
    }

    #navigation-main ul a > svg {
        width: auto;
        height: 0.6em;
        margin-left: 0.3em;
    }

    #navigation-main ul a > svg.icon-shop {
        width: auto;
        height: 1em;
    }

    #navigation-main ul.menu li.menu-item-has-children a:after {
        content: "";
        position: absolute;
        top: 100%;
        left: 0;
        display: block;
        width: 100%;
        height: 5px;
        opacity: 0;
    }

    /* Sub Menu */

    #navigation-main .sub-menu {
        z-index: 10;
        position: absolute;
        top: calc(100% + 5px);
        left: 0;
        width: auto;
        min-width: 300px;
        height: auto;
        color: #ffffff;
        box-shadow: 0 3px 10px 0 rgba(0,0,0,0.2);
        background-color: rgba(31, 158, 224, 0.7);
        backdrop-filter: blur(3px);
        font-size: 1em;
        text-transform: none;
        opacity: 0;
        visibility: hidden;
        transition: all 0.3s ease-out;
        padding: 10px 0;
        margin: 0;
        pointer-events: none;
    }

    #navigation-main li.megamenu > .sub-menu {
        top: 100px;
        left: 0;
        width: 100%;
        height: calc(100vh - 100px);
        color: #416476;
        background-color: #ffffff;
        font-size: 1.1em;
        font-weight: 600;
        padding: 60px 50px;
    }

    #navigation-main li:not(.megamenu) > .sub-menu {
        font-size: 18px;
        text-transform: uppercase;
    }

    #navigation-main li:hover > .sub-menu {
        opacity: 1;
        visibility: visible;
        pointer-events: initial;
    }

    #navigation-main .sub-menu > ul {
        list-style: none;
        padding: 0;
        margin: 0;
    }

    #navigation-main li.megamenu > .sub-menu > ul {
        display: flex;
        flex-flow: row wrap;
        justify-content: flex-start;
        height: 100%;
        overflow: hidden;
        margin: 0 -1px -1px 0;
    }

    #navigation-main .sub-menu ul li {
        height: auto;
    }

    #navigation-main li.megamenu > .sub-menu > ul > li {
        position: relative;
        flex: 20%;
        height: 50%;
        border: solid 1px #4A5863;
        border-top: none;
        border-left: none;
        transform: translate(1px,1px);
        overflow: hidden;
    }

    #navigation-main li.megamenu .menu-label {
        position: absolute;
        top: 20px;
        right: 0;
        background: #009BDF;
        color: #ffffff;
        font-size: 18px;
        line-height: 1;
        padding: 5px 20px;
    }

    #navigation-main li.megamenu .megamenu-thumbnail {
        z-index: -1;
        display: flex;
        align-items: center;
        justify-content: center;
        position: absolute;
        top: 0;
        left: 0;
        width: 100%;
        height: 100%;
        background-size: cover;
        background-repeat: no-repeat;
        background-position: 0 0;
        transform: translateX(25%);
        transform-origin: 100% 100%;
        opacity: 0.5;
        transition: all 0.3s ease-out;
    }

    #navigation-main li.megamenu li:hover > .megamenu-thumbnail {
        transform: translateX(10%) scale(1.05);
        opacity: 1;
    }

    #navigation-main li.megamenu .megamenu-thumbnail-wrapper > img {
        width: 100%;
        height: auto;
    }

    #navigation-main .sub-menu ul a {
        display: block;
        width: 100%;
        padding: 10px 20px;
        margin: 0;
    }

    #navigation-main li.megamenu .sub-menu ul a {
        padding: 30px 20px;
        margin: 0;
    }

    #navigation-main .sub-menu ul li.current-menu-ancestor > a,
    #navigation-main .sub-menu ul li.current-menu-item > a,
    #navigation-main .sub-menu ul li:hover > a,
    #navigation-main .sub-menu ul a:hover,
    #navigation-main .sub-menu ul a:active,
    #navigation-main .sub-menu ul a:focus {
        color: var(--wp--preset--color--secondary, #3F535E);
    }

    /* ============================================================= */
    /* Navigation Main - Mobile
    /* ============================================================= */

    #navigation-main-mobile {
        height: 0;
        display: none;
    }


    /* ============================================================= */
    /* Language Modal
    /* ============================================================= */

    /* Language Switcher */

    #language-modal ul li a img {
        width: 130px;
    }

	/* ============================================================= */
    /* Button Sidebar
    /* ============================================================= */

    #button-sidebar {
        z-index: 105;
        position: fixed;
        top: 50%;
        left: 0;
        transform: rotate(-90deg) translateX(-50%);
        transform-origin: top left;
        display: flex;
        gap: 20px;
    }

    /* ============================================================= */
    /* Button Product Finder
    /* ============================================================= */

    #button-product-finder {
        display: block;
    }

    #button-product-finder a {
        display: flex;
        align-items: center;
        gap: 0.3em;
        color: #ffffff;
        background: #009BDF;
        box-shadow: 5px 5px 6px 0 rgba(0,0,0,0.1);
        font-size: 20px;
        line-height: 1;
        text-decoration: none;
        text-transform: uppercase;
        padding: 8px 20px;
        margin: 0;
        transition: background-color 0.3s linear, color 0.3s linear;
    }

    #button-product-finder a:focus,
    #button-product-finder a:active,
    #button-product-finder a:hover {
        color: #8F9BA2;
        background: #ffffff;
    }

    #button-product-finder a span.icon {
        display: flex;
    }

    #button-product-finder a svg.icon-product-finder {
        display: flex;
        width: auto;
        height: 1.25em;
    }
	
	/* ============================================================= */
    /* Button Contact
    /* ============================================================= */

	#button-contact {
        display: block;
    }

    #button-contact a {
        display: flex;
        align-items: center;
        gap: 0.5em;
        color: #ffffff;
        background: #8F9BA2;
        box-shadow: 5px 5px 6px 0 rgba(0,0,0,0.1);
        font-size: 20px;
        line-height: 1;
        text-decoration: none;
        text-transform: uppercase;
        padding: 8px 20px;
        margin: 0;
        transition: background-color 0.3s linear, color 0.3s linear;
    }

    #button-contact a:focus,
    #button-contact a:active,
    #button-contact a:hover {
        color: #8F9BA2;
        background: #ffffff;
    }

    #button-contact a span.icon {
        display: flex;
    }

    #button-contact a svg.icon-product-finder {
        display: flex;
        width: auto;
        height: 1.25em;
    }

    /* ============================================================= */
    /* Navigation Contact
    /* ============================================================= */

    #nav-contact-wrapper {
        bottom: 40px;
        right: 40px;
    }

    .has-sticky-header #nav-contact-wrapper {
        transform: translateY(calc(100% + 40px))
    }

    #menu-contact a {
        padding: 1em;
    }

    #menu-contact a svg {
        width: 1.4em;
        height: 1.4em;
    }


    /* ============================================================= */
    /* Site Header Margin
    /* ============================================================= */

    #site-header-margin {
        display: block;
        height: 100px;
    }

}


@media (min-width: 1600px) {

    /* ============================================================= */
    /* Navigation Main
    /* ============================================================= */

    #navigation-main {
        font-size: 20px;
    }
	
	#navigation-main ul.menu a {
        font-size: 1em;
    }

    #navigation-main :not(.sub-menu) > ul > li > a {
		font-size: 1em;
        padding-left: 10px;
        padding-right: 10px;
        margin-left: 10px;
        margin-right: 10px;
    }

    /* Sub Menu */

    #navigation-main li.megamenu > .sub-menu {
        padding-top: 80px;
        padding-bottom: 80px;
    }
	
	#navigation-main .sub-menu {
        left: 18px;
	}

}